Change status of invoice
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "6dd741d6-0b04-4f64-88e0-0eeab347d785",
"internal_number": "sample string 2",
"company_id": "4bc710fd-691b-444c-ab31-2a93e7351a48",
"company_code": "sample string 4",
"company_name": "sample string 5",
"date_create": "2026-04-14T05:22:47.9947539+00:00",
"memo": "sample string 7",
"description": "sample string 8",
"invoice_type": "sample string 9",
"source_type": "sample string 10",
"source_id_in_table": "b9ac06c9-9e10-4296-ae86-b7c92d6ec59c",
"total_lines": 12,
"total_amount": 13.0,
"db_currency_id": "e46dd343-f49f-4021-b597-106a167ec00c",
"total_taxes": 15.0,
"due_date": "2026-04-14T05:22:47.9947539+00:00",
"source_db_table_name": "sample string 17",
"delivery_name": "sample string 18",
"delivery_street": "sample string 19",
"delivery_city": "sample string 20",
"delivery_zip": "sample string 21",
"delivery_db_country_name": "sample string 22",
"reference_back_office": "sample string 23",
"db_payment_method_id": "cf6ef70e-57e8-4648-86d6-a8be983ddd46",
"id2": 25,
"customer_remarks": "sample string 26",
"bill_to_party": "sample string 27",
"bill_to_contact_id": "e4153b67-d6b9-44af-9858-69e5e3e7dad6",
"contact_id": "0e69c79d-b421-41d7-a6ca-2a542538df71",
"article_price_label_id": "b1e86264-4b8b-4ad0-b42e-4b645f2fa1af",
"db_language_id": "cd003f2b-e39e-49ef-a69c-aed8e1534385",
"invoice_status_id": "d9707480-3549-4e6c-b9c8-60d326e2807c",
"invoice_status_name": "sample string 33",
"discount_group_id": "5c25b3e1-1f42-45c9-b164-686d7d629f0a",
"discount": 35.0,
"email": "sample string 36",
"invoice_number": "sample string 37",
"bill_to_company_id": "a0cdb36e-e50c-48af-886e-81afaafdc73d",
"dateutc_confirmation": "2026-04-14T05:22:47.9947539+00:00",
"modified_dateutc": "2026-04-14T05:22:47.9947539+00:00"
}